Package net.shibboleth.shared.net.impl

# Class BasicURLComparator

java.lang.Object
net.shibboleth.shared.net.impl.BasicURLComparator

All Implemented Interfaces:
  `URIComparator`

public class BasicURLComparator extends Object implements URIComparator
A basic implementation of `URIComparator` that compares URL's by canonicalizing them as per `SimpleURLCanonicalizer`, and then compares the resulting string representations for equality using `Object.equals(java.lang.Object)`. If `isCaseInsensitive()` is true, then the equality test is instead performed using `String.equalsIgnoreCase(String)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`caseInsensitive`
The case-insensitivity flag.

## Constructor Summary

Constructors
Constructor
Description
`BasicURLComparator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compare(String uri1, String uri2)`
Compare two URI's (represented as strings) for equivalence.
`boolean`
`isCaseInsensitive()`
Get the case-insensitivity flag value.
`void`
`setCaseInsensitive(boolean flag)`
Set the case-insensitivity flag value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### caseInsensitive

private boolean caseInsensitive
The case-insensitivity flag.

## Constructor Details

### BasicURLComparator

public BasicURLComparator()

## Method Details

### isCaseInsensitive

public boolean isCaseInsensitive()
Get the case-insensitivity flag value.

Returns:
  Returns the caseInsensitive.

### setCaseInsensitive

public void setCaseInsensitive(boolean flag)
Set the case-insensitivity flag value.

Parameters:
  `flag` - The caseInsensitive to set.

### compare

public boolean compare(@Nullable String uri1, @Nullable String uri2) throws URIException
Compare two URI's (represented as strings) for equivalence..

Specified by:
  `compare` in interface `URIComparator`
Parameters:
  `uri1` - first URI to compare
  `uri2` - second URI to compare
Returns:
  true if the URI's are equivalent, false otherwise
Throws:
  `URIException` - if the URI's can not be successfully evaluated